Loading...
Searching...
No Matches
casacore::TVecMath_global_functions_vectorMath Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

Vector operations on a table vector. More...

`#include <TVecMath.h>`

## Public Member Functions

template<class T>
T | tabVecRepinnerproduct (const TabVecRep< T > &, const TabVecRep< T > &)
| The inner product of 2 table vectors.
template<class T>
T | tabVecRepnorm (const TabVecRep< T > &)
| The norm of a table vector.
template<class T>
TabVecRep< T > & | tabVecRepcrossproduct (const TabVecRep< T > &, const TabVecRep< T > &)
| The cross product of 2 table vectors containing 3 elements.

## Detailed Description

Vector operations on a table vector.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Do vector operations on a table vector (like inner product).

Definition at line 249 of file TVecMath.h.

## Member Function Documentation

## tabVecRepcrossproduct()

template<class T>

TabVecRep< T > & casacore::TVecMath_global_functions_vectorMath::tabVecRepcrossproduct | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

The cross product of 2 table vectors containing 3 elements.

## tabVecRepinnerproduct()

template<class T>

T casacore::TVecMath_global_functions_vectorMath::tabVecRepinnerproduct | ( | const TabVecRep< T > & | ,
|  | const TabVecRep< T > & | )

The inner product of 2 table vectors.

## tabVecRepnorm()

template<class T>

T casacore::TVecMath_global_functions_vectorMath::tabVecRepnorm | ( | const TabVecRep< T > & |  | ) |

The norm of a table vector.

The documentation for this struct was generated from the following file:

- tables/Tables/TVecMath.h